interface SequenceState {
    hash: string;
    name: string;
    progress: number;
}
export declare class Sequence {
    private current;
    private running;
    private progress;
    private frames;
    constructor();
    start(): void;
    stop(): void;
    isRunning(): boolean;
    getState(): SequenceState;
}
export type { SequenceState };
